<template>
  <!-- 卸车作业页面 -->
  <div class="homeworkPath">
    <div class="top">
       <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick(0)">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.unloadingId)" type="text" size="small"
            >修改</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.unloadingId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>


<script>
export default {
  name: "wagonUnload",
  data() {
    return {
      input: "",
      option: {       
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getTmstrainWagonUnLoad?apiId=214&resultType=3",
      },
    };
  },
  methods: {
    onclick() {
      this.option.requestUrl = "/api/v1/tms/getTmstrainWagonUnLoad?apiId=60&resultType=3&con="+this.input;
    },
    btnclick() {
      this.$router.push("/wagonUnLoadAdd");
    },
    click(unloadingId) {
      this.$router.push("/wagonUnLoadEdit/" + unloadingId);
    },
    deleteclick(scope) {
      let unloadingId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
             "/api/v1/tms/deleteTmstrainWagonUnLoadResultByUnLoadingId?unloadingId=" + unloadingId
            )
            .then(() => {
               this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }
  }
}
</style>